Arm-linux PPU invalid versioin 126

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Arm-linux PPU invalid versioin 126

GREP
HI

I followed the instructions in
http://wiki.lazarus.freepascal.org/Custom_Drawn_Interface/Android#Android_Programming
"Using the pre-compiled compiler in Windows"(steps 1-3).

When I Clean + build the example project "androidlcltest.lpi"
I get:
 PPU Loading D:\lazarus\fpc\2.6.2\units\arm-linux\rtl\system.ppu
PPU Invalid Version 126
fcllaz.pas(0,0) Fatal: Can not find system used by fcllaz, ppu=..\..\fpc\2.6.2\units\arm-linux\rtl\system.ppu

Moreover, if I run Test in Project Options, I get:


My Lazarus installation is the latest I found on sourceforge
(1.0.8)


Please, help.
Reply | Threaded
Open this post in threaded view
|

Re: [Lazarus] Arm-linux PPU invalid versioin 126

Sven Barth
On 06.05.2013 19:41, GREP wrote:
> HI
>
> I followed the instructions in
> http://wiki.lazarus.freepascal.org/Custom_Drawn_Interface/Android#Android_Programming
> "Using the pre-compiled compiler in Windows"(steps 1-3).

Did you read the part at the top of the section "Configuring the Free
Pascal Compiler for Android" which says the following:

=== quote begin ===

The cross-compiler instructions below are probably obsolete, since
support for the Android target is present in the trunk (development)
version 2.7.1 of FPC. Here are up to date instructions: building a
cross-compiler for Android target.

=== quote end ===

If not then I'd advice you to follow the instructions linked behind
"building a cross-compiler for Android target" (which is this page:
http://wiki.lazarus.freepascal.org/Android ).

Regards,
Sven

--
_______________________________________________
Lazarus mailing list
[hidden email]
http://lists.lazarus.freepascal.org/mailman/listinfo/lazarus
Reply | Threaded
Open this post in threaded view
|

Re: [Lazarus] Arm-linux PPU invalid versioin 126

Samuel Herzog
In reply to this post by GREP
Sorry, but i have not much good news for you. I already tried the past 4 months to get the android example running.

To setup the tool chain correctly seems to be very tricky.

All these parts (lazarus,free pascal,ndk,customdrawn controls) are in permanent change. Which is for sure by good intenion.

The problem is now the additional information in wiki,docs and newsgroups are often outdated or not clear enough.

My current situation:

A)I have put a bounty to get a lazarus installer with android free pascal cross compile included.

B)I got a little closer yesterday by a kind answer from sternas in the codetyphon newsgroup. I will wait for version 4.30 and donate some money to his project. (its the only way i can help at the moment since my sparetime has become very limited)

Regards,
Sam



GREP <[hidden email]> schrieb:

>HI
>
>I followed the instructions in
>http://wiki.lazarus.freepascal.org/Custom_Drawn_Interface/Android#Android_Programming
>"Using the pre-compiled compiler in Windows"(steps 1-3).
>
>When I Clean + build the example project "androidlcltest.lpi"
>I get:
> PPU Loading D:\lazarus\fpc\2.6.2\units\arm-linux\rtl\system.ppu
>PPU Invalid Version 126
>fcllaz.pas(0,0) Fatal: Can not find system used by fcllaz,
>ppu=..\..\fpc\2.6.2\units\arm-linux\rtl\system.ppu
>
>Moreover, if I run Test in Project Options, I get:
><http://free-pascal-lazarus.989080.n3.nabble.com/file/n4031143/l2.gif>
>
>My Lazarus installation is the latest I found on sourceforge
>(1.0.8)
><http://free-pascal-lazarus.989080.n3.nabble.com/file/n4031143/l1.gif>
>
>Please, help.
>
>
>
>
>--
>View this message in context: http://free-pascal-lazarus.989080.n3.nabble.com/Arm-linux-PPU-invalid-versioin-126-tp4031143.html
>Sent from the Free Pascal - Lazarus mailing list archive at Nabble.com.
>
>--
>_______________________________________________
>Lazarus mailing list
>[hidden email]
>http://lists.lazarus.freepascal.org/mailman/listinfo/lazarus
--
_______________________________________________
Lazarus mailing list
[hidden email]
http://lists.lazarus.freepascal.org/mailman/listinfo/lazarus
Reply | Threaded
Open this post in threaded view
|

Re: [Lazarus] Arm-linux PPU invalid versioin 126

Sven Barth
On 06.05.2013 21:06, Sam wrote:
> Sorry, but i have not much good news for you. I already tried the past 4 months to get the android example running.

I got the example working around a month ago, after trying for a few days.

Regards,
Sven


--
_______________________________________________
Lazarus mailing list
[hidden email]
http://lists.lazarus.freepascal.org/mailman/listinfo/lazarus
Reply | Threaded
Open this post in threaded view
|

Re: [Lazarus] Arm-linux PPU invalid versioin 126

leledumbo
Administrator
In reply to this post by Samuel Herzog
> I have put a bounty to get a lazarus installer with android free pascal cross compile included.

I've seen it and I guess I can do it since I already have in my current setup on Linux. But I'm too lazy to open my Windows again... :P

A problem that might appear is that since the support is available on trunk, there's no guarantee that it will be bug free (well, even the stable version does, but not as problematic as trunk, especially since recently a branch has just been merged).
Reply | Threaded
Open this post in threaded view
|

Re: [Lazarus] Arm-linux PPU invalid versioin 126

Samuel Herzog
Hi leledumbo,

thanks for you answer.
I will wait for codetyphon 4.30. 

Regards,
Sam


Von: leledumbo <[hidden email]>
An: [hidden email]
Gesendet: 8:57 Dienstag, 7.Mai 2013
Betreff: Re: [Lazarus] Arm-linux PPU invalid versioin 126

> I have put a bounty to get a lazarus installer with android free pascal
cross compile included.

I've seen it and I guess I can do it since I already have in my current
setup on Linux. But I'm too lazy to open my Windows again... :P

A problem that might appear is that since the support is available on trunk,
there's no guarantee that it will be bug free (well, even the stable version
does, but not as problematic as trunk, especially since recently a branch
has just been merged).



--
View this message in context: http://free-pascal-lazarus.989080.n3.nabble.com/Arm-linux-PPU-invalid-versioin-126-tp4031143p4031161.html
Sent from the Free Pascal - Lazarus mailing list archive at Nabble.com.

--
_______________________________________________
Lazarus mailing list
[hidden email]
http://lists.lazarus.freepascal.org/mailman/listinfo/lazarus



--
_______________________________________________
Lazarus mailing list
[hidden email]
http://lists.lazarus.freepascal.org/mailman/listinfo/lazarus